import { jsx as n } from "react/jsx-runtime";
import { Suspense as c, lazy as m } from "react";
const s = m(() => import("./TextEditor.9VsHc2Dd.js"));
function d(t) {
  if (t.editable)
    return /* @__PURE__ */ n(c, { children: /* @__PURE__ */ n(s, { ...t, content: t.content, inline: !0 }) });
  const { as: e, className: o, content: r, ...i } = t;
  return /* @__PURE__ */ n(
    e ?? "div",
    {
      className: o,
      dangerouslySetInnerHTML: { __html: r },
      ...i
    }
  );
}
export {
  d as T
};
